ssossossosso

Forums

Covering OroCommerce topics, B2B eCommerce trends, community updates and company announcements.

This topic contains 1 reply, has 2 voices, and was last updated by Michael Michael 4 months ago.

  • Creator
    Topic
  • #5423

    madleen.sabatier
    Participant

    Hello,
    I realized the whole installation of “OroCommerce”, but I have this as error message.
    And when I do a phpinfo() on my app_dev.php, I have the right version of PHP either:7.1.1
    Do you know where it might come from ?
    Thank you for your help

    Fatal error: Uncaught RuntimeException: [Exception] PHP version must be at least 7.0 (5.6.30 is installed) in /Applications/MAMP/htdocs/orocommerce-application/vendor/oro/platform/src/Oro/Bundle/EntityExtendBundle/OroEntityExtendBundle.php:134 Stack trace: #0 /Applications/MAMP/htdocs/orocommerce-application/vendor/oro/platform/src/Oro/Bundle/EntityExtendBundle/OroEntityExtendBundle.php(97): Oro\Bundle\EntityExtendBundle\OroEntityExtendBundle->checkConfigs() #1 /Applications/MAMP/htdocs/orocommerce-application/vendor/oro/platform/src/Oro/Bundle/EntityExtendBundle/OroEntityExtendBundle.php(71): Oro\Bundle\EntityExtendBundle\OroEntityExtendBundle->ensureInitialized() #2 /Applications/MAMP/htdocs/orocommerce-application/app/bootstrap.php.cache(2796): Oro\Bundle\EntityExtendBundle\OroEntityExtendBundle->build(Object(Oro\Component\DependencyInjection\Extende in /Applications/MAMP/htdocs/orocommerce-application/vendor/oro/platform/src/Oro/Bundle/EntityExtendBundle/OroEntityExtendBundle.php on line 134

Viewing 1 replies (of 1 total)
  • Author
    Replies
  • #5428
    Michael
    Michael
    Oro Core

    The version of PHP used by the web-server and the one you have in the command line by default might be different. It depends on how you installed PHP (using ports, brew, or something else).
    Please check the documentation of your package manager to figure out what additional steps you may need to make to have PHP 7 both on the web-server and in the command line.

Viewing 1 replies (of 1 total)

The topic ‘Problem version PHP’ is closed to new replies.